Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.shared.services.cdi
Class BootOnLoadExtension

    java.lang.Object
      org.jbpm.shared.services.cdi.BootOnLoadExtension

All Implemented Interfaces:
  javax.enterprise.inject.spi.Extension

    public class BootOnLoadExtension

extends Object
implements javax.enterprise.inject.spi.Extension

CDI extension that is responsible to eagerly bootstrap CDI beans that are annotated with `@BootOnLoad`. That mainly means that beans annotated with `@BootOnLoad` will be invoked (their) `@PostConstruct` method on CDI container initialization. This extension will only take effect on beans marked as:

- `@javax.enterprise.context.ApplicationScoped`
- `@javax.inject.Singleton`

Constructor Summary
`BootOnLoadExtension()`

Method Summary
`void` | `afterDeploymentValidation(javax.enterprise.inject.spi.AfterDeploymentValidation event, javax.enterprise.inject.spi.BeanManager manager)`
`
`<X> void`
` | `processBean(javax.enterprise.inject.spi.ProcessBean<X> event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BootOnLoadExtension

    public BootOnLoadExtension()

Method Detail

### processBean

    public <X> void processBean(@Observes
                                javax.enterprise.inject.spi.ProcessBean<X> event)

### afterDeploymentValidation

    public void afterDeploymentValidation(@Observes
                                          javax.enterprise.inject.spi.AfterDeploymentValidation event,
                                          javax.enterprise.inject.spi.BeanManager manager)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.